> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/fire-noc-service/noc-digit-ui/application-overview.md).

# Application Overview

## Overview

The application overview page shows the details of the application selected and the action that a specific user is allowed to take on that application.

![](https://1885278393-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUYtUmELy66UydIQtJOn5%2Fuploads%2FOHF4wpv8pZTYqeE7CtUB%2Fimage-20211213-130023.png?alt=media\&token=ecf31326-3a30-4fd2-8e78-460cc5dd8885)

## MDMS Details <a href="#mdms" id="mdms"></a>

Documents required for NOC approval are gathered from [DocumentTypeMapping ](https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/NOC/DocumentTypeMapping.json)MDMS.

Common documents that are required are fetched from [DocumentType ](https://github.com/egovernments/egov-mdms-data/blob/DEV/data/pb/common-masters/DocumentType.json)config from MDMS.&#x20;

## Workflow Actions

![](https://1885278393-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUYtUmELy66UydIQtJOn5%2Fuploads%2FbNbF0NSQeKfgB0Fofnpm%2Fimage-20211214-050052.png?alt=media\&token=97c4665b-beaf-419d-985e-bd228ad47cc9)

**Forward** application with the uploaded NOC certificate to forward the application to concerned authorities for approval.

**Reject** application to reject the application.

## Components <a href="#components" id="components"></a>

For multiple uploading of documents, we have used **MultiUploadWrapper** which encapsulates API calls and abstracts the whole process providing the fileData and fileStoreIds.

> [![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)\_\_](http://creativecommons.org/licenses/by/4.0/)*All content on this page by* [*eGov Foundation* ](https://egov.org.in/)*is licensed under a* [*Creative Commons Attribution 4.0 International License*](http://creativecommons.org/licenses/by/4.0/)*.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/local-governance/v2.8/platform/configure-digit/configuring-digit-services/fire-noc-service/noc-digit-ui/application-overview.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
